libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_synthesis_idheader

declared in "vorbis/codec.h";

This function checks whether a packet is a valid Vorbis identification header packet. This function can be used to detect whether a logical Ogg stream could be a Vorbis stream, given its very first packet.

    extern int      vorbis_synthesis_idheader(ogg_packet *op);

### Parameters

op
  Pointer to the ogg_packet to check.

### Return Values

> - 1 if the packet is a valid first packet for a Vorbis bitstream.
> - 0 if not.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101